#ifndef SENSOR_H
#define SENSOR_H

#include "sensorMeasurement.h"
#include <stdint.h>
#include <stdbool.h>

typedef struct Sensor{
    int sensorID;
    uint64_t timeLastMeasured;
    int updateInterval;
    int (*powerOn)();
    int (*powerOff)();
    int (*performMeasurement)(sensorMeasurement *buffer);
    int (*configureSensor)();
    bool powered;
} Sensor;

#endif